﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

/// <summary>
///  チーズを持ち帰る場所のスクリプト
/// </summary>
[RequireComponent(typeof(BoxCollider))]
public class CheeseBase : MonoBehaviour 
{
    [SerializeField]
    string cheeseTagName = "Cheese";

    //チーズが入ったと判定する自分自身との距離
    [SerializeField]
    float cheeseAcceptDistance = 1.0f;

    public float CheeseAcceptDistance
    {
        get
        {
            return cheeseAcceptDistance;
        }
    }
    
    //入ったチーズのかず
    int cheeseCount = 0;

    /// <summary>
    /// 入ったチーズの数
    /// </summary>
    public int CheeseCount
    {
        get
        {
            return cheeseCount;
        }
    }

	// Use this for initialization
	void Start ()
    {
		
	}
	
	// Update is called once per frame
	void Update ()
    {
		
	}

    /// <summary>
    /// 入ったチーズをプラス１する
    /// </summary>
    public void AddCheeseCount()
    {
        cheeseCount++;
    }

    /// <summary>
    /// 入ったチーズの数をマイナス１する
    /// </summary>
    public void MinusCheeseCount()
    {
        cheeseCount--;
    }

    /// <summary>
    /// 入ったチーズの数を０にリセットする
    /// </summary>
    void ResetCheeseCount()
    {
        cheeseCount = 0;
    }
}
